<div class="row">
    <div class="col-md-12">
        <button data-toggle="modal" data-target="#addCuttingData" (click)="createFinishingDataForm()" type="button"
        class="btn btn-sm btn-custom mr-2 mb-3" data-backdrop="static" data-keyboard="false">Add Finishing production
        data</button>
        <button type="button" (click)="generateExcel()" class="btn btn-sm btn-primary mb-3"><i
                class="fa fa-download mr-1"></i>Generate
            Report</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-header">
        <form class="user filterForm" [formGroup]="filterForm">
            <div class="form-group row">
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="f_erp" class="form-control dropdown" (change)="getProductionData()">
                        <option value="" selected>Select ERP</option>
                        <option *ngFor="let e of erps" value="{{e.erp_id}}">{{e.erp_title}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="f_line" class="form-control dropdown" (change)="getProductionData()">
                        <option value="" selected>Select Line</option>
                        <option *ngFor="let line of lines" value="{{line.line_id}}">{{line.line}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input formControlName="f_date" type="date" (change)="getProductionData()"
                        class="form-control form-control-user">
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">

                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                            <tr>
                                <th>ERP</th>
                                <th>Date</th>
                                <th>Hour</th>
                                <th>Section</th>
                                <th>Line</th>
                                <th>Compound Movement</th>
                                <th>added By</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let data of production_data | paginate: { itemsPerPage: 10, currentPage: p }">
                                <td>{{data.erp_title}}</td>
                                <td>{{data.datetime}}</td>
                                <td>{{data.production_hour}}</td>
                                <td>{{data.section}}</td>
                                <td>{{data.line_name}}</td>
                                <td>{{data.compound_movement}}</td>
                                <td>{{data.full_name}}</td>
                                <td>
                                    <span><a [routerLink]="" data-toggle="modal" data-target="#viewProductionData"
                                            (click)="viewProductionData(data)"><i class="fa fa-eye mr-2"
                                                aria-hidden="true"></i></a></span>
                                    <span><a [routerLink]="" data-toggle="modal" data-target="#addCuttingData"
                                            (click)="editFinishingData(data)"><i class="fa fa-edit mr-2"
                                                aria-hidden="true"></i></a></span>
                                </td>
                            </tr>
                            <tr *ngIf="production_data==''">
                                <td colspan="9" class="text-center">No Records Found</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="row d-flex justify-content-center">
                    <pagination-controls *ngIf="production_data!=''" class="my-pagination" (pageChange)="p = $event">
                    </pagination-controls>
                </div>
            </div>
        </div>
    </div>

    <!-----------Add Inward Entries Modal------------------------>
    <div id="addCuttingData" class="modal fade largeModal" role="dialog">
        <div class="modal-dialog">

            <div class="modal-content">
                <div class="model-content">
                    <div class="modal-header">
                        <h6 class="modal-title">Add / Edit fininshing production data</h6>
                        <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <form [formGroup]="finishingDataForm" (ngSubmit)="addorEditFininshingData()">
                            <div class="row form-group">
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <label> ERP:</label>
                                    <select formControlName="erp" class="form-control dropdown" id="section">
                                        <option *ngFor="let erp of erps" value="{{erp.erp_id}}">{{erp.erp_title}}
                                        </option>
                                    </select>
                                    <div *ngIf="submitted && formcontrol.erp.errors" class="errors">
                                        <div *ngIf="formcontrol.erp.errors.required">ERP is required</div>
                                    </div>
                                </div>
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <label>Section:</label>
                                    <input type='text' formControlName="section" class="form-control form-control-user">

                                    <div *ngIf="submitted && formcontrol.section.errors" class="errors">
                                        <div *ngIf="formcontrol.section.errors.required">Section is required</div>
                                    </div>
                                </div>
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <label>Line:</label>
                                    <select formControlName="line" class="form-control dropdown" id="line">
                                        <option *ngFor="let line of lines" value="{{line.line_id}}">{{line.line}}
                                        </option>
                                    </select>
                                    <div *ngIf="submitted && formcontrol.line.errors" class="errors">
                                        <div *ngIf="formcontrol.line.errors.required">Line is required</div>
                                    </div>
                                </div>
                            </div>


                            <div class="row form-group">
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <label id="qlabel">Production Hour:</label>
                                    <input formControlName="production_hour" type="text"
                                        class="form-control form-control-user" id="production_hour">
                                    <div *ngIf="submitted && formcontrol.production_hour.errors" class="errors">
                                        <div *ngIf="formcontrol.production_hour.errors.required">Production Hour is
                                            required</div>
                                    </div>
                                </div>
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <label>Compound Movement:</label>
                                    <input formControlName="compound_movement" type="number"
                                        class="form-control form-control-user" id='compound_movement'>
                                    <div *ngIf="submitted && formcontrol.compound_movement.errors" class="errors">
                                        <div *ngIf="formcontrol.compound_movement.errors.required">compound movement is
                                            required</div>
                                    </div>
                                </div>
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <label>Output:</label>
                                    <textarea formControlName="output" class="form-control form-control-user"
                                        id="output"></textarea>
                                    <div *ngIf="submitted && formcontrol.output.errors" class="errors">
                                        <div *ngIf="formcontrol.output.errors.required">Output is required</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row form-group">
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <label>No. of Helpers:</label>
                                    <input formControlName="helpers" type="number"
                                        class="form-control form-control-user" id="helpers">
                                    <div *ngIf="submitted && formcontrol.helpers.errors" class="errors">
                                        <div *ngIf="formcontrol.helpers.errors.required">Helpers is required</div>
                                    </div>
                                </div>

                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <label>No. of Ironers:</label>
                                    <input formControlName="ironers" type="number"
                                        class="form-control form-control-user">
                                    <div *ngIf="submitted && formcontrol.ironers.errors" class="errors">
                                        <div *ngIf="formcontrol.ironers.errors.required">Ironers is required</div>
                                    </div>
                                </div>
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <label>No. of Checkers:</label>
                                    <input formControlName="checkers" type="number"
                                        class="form-control form-control-user">
                                    <div *ngIf="submitted && formcontrol.checkers.errors" class="errors">
                                        <div *ngIf="formcontrol.checkers.errors.required">Checkers is required</div>
                                    </div>
                                </div>
                            </div>

                            <hr>
                            <div class="form-group row">
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                </div>
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-----------View Finishing Production Data of Hour------------------------>
    <div id="viewProductionData" class="modal fade largeModal" role="dialog">
        <div class="modal-dialog">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header" *ngIf="selected_data">
                    <h6 class="modal-title">
                        <b>Date : {{selected_data.datetime | date: 'dd/MM/yyyy'}} &nbsp;&nbsp;
                            {{selected_data.production_hour}}</b>
                    </h6>
                    <button #closeBtn2 type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="row" *ngIf="selected_data">
                        <div class="col-md-12">
                            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                <tr>
                                    <td>ERP</td>
                                    <td>{{selected_data.erp_title}}</td>
                                </tr>
                                <tr>
                                    <td>Section</td>
                                    <td>{{selected_data.section}}</td>
                                </tr>
                                <tr>
                                    <td>Line</td>
                                    <td>{{selected_data.line_name}}</td>
                                </tr>
                                <tr>
                                    <td>Compound Movement</td>
                                    <td>{{selected_data.compound_movement}}</td>
                                </tr>
                                <tr>
                                    <td>No. of Helpers</td>
                                    <td>{{selected_data.helpers}}</td>
                                </tr>
                                <tr>
                                    <td>No. of Checkers</td>
                                    <td>{{selected_data.checkers}}</td>
                                </tr>
                                <tr>
                                    <td>No. of Ironers</td>
                                    <td>{{selected_data.ironers}}</td>
                                </tr>

                            </table>
                        </div>
                        <div class="col-md-12">
                            Output: &nbsp;&nbsp; {{selected_data.output}}
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>